Bug 327980 - Krita crashes when applying GMIC filter
Summary: Krita crashes when applying GMIC filter
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: G'Mic for Krita (show other bugs)
Version: 2.8 Pre-Alpha
Platform: Ubuntu Packages Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2013-11-23 16:07 UTC by Tepee
Modified: 2015-01-16 13:05 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tepee 2013-11-23 16:07:59 UTC
Application: krita (2.8 Pre-Alpha)
KDE Platform Version: 4.11.2
Qt Version: 4.8.4
Operating System: Linux 3.12.1-031201-generic x86_64
Distribution: Ubuntu 13.10

-- Information about the crash:
- What I was doing when the application crashed:
applying GMIC filter (sharpen). I tried severall another filters, same crash.
I am on Ubuntu 13.10 64bits

The crash can be reproduced every time.

-- Backtrace:
Application: Krita (krita), signal: Aborted
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
[Current thread is 1 (Thread 0x7fa83c64d7c0 (LWP 4190))]

Thread 16 (Thread 0x7fa821ac4700 (LWP 4193)):
#0  0x00007fa83baef6bd in read () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fa832886670 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa8328471cc in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa83284763b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa832847b0a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa829319b66 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#6  0x00007fa83286c0f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#7  0x00007fa832d1ff6e in start_thread (arg=0x7fa821ac4700) at pthread_create.c:311
#8  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 15 (Thread 0x7fa820951700 (LWP 4194)):
#0  0x00007fa83baf0f7d in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fa8328476a4 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fa8328477ac in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fa8328477f9 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fa83286c0f5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fa832d1ff6e in start_thread (arg=0x7fa820951700) at pthread_create.c:311
#6  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 14 (Thread 0x7fa81bfff700 (LWP 4216)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa839339406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa8393355eb in QSemaphore::acquire(int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa837ca3a8c in waitForWork (this=0x6a4a530) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/tiles3/kis_tile_data_pooler.cc:162
#4  KisTileDataPooler::run (this=0x6a4a530) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/tiles3/kis_tile_data_pooler.cc:184
#5  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fa832d1ff6e in start_thread (arg=0x7fa81bfff700) at pthread_create.c:311
#7  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 13 (Thread 0x7fa7fd717700 (LWP 4217)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa839339406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa8393359f3 in QSemaphore::tryAcquire(int, int) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa837cd1043 in KisTileDataSwapper::waitForWork (this=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:86
#4  0x00007fa837cd126a in KisTileDataSwapper::run (this=0x6a4a568) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/tiles3/swap/kis_tile_data_swapper.cpp:92
#5  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fa832d1ff6e in start_thread (arg=0x7fa7fd717700) at pthread_create.c:311
#7  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 12 (Thread 0x7fa7caffd700 (LWP 4239)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa839339406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83a306086 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa7caffd700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 11 (Thread 0x7fa7f6352700 (LWP 4240)):
#0  0x00007fa83baf5de3 in select () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007fa83946337b in qt_safe_select(int, fd_set*, fd_set*, fd_set*, timeval const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa839468904 in QEventDispatcherUNIXPrivate::doSelect(QFlags<QEventLoop::ProcessEventsFlag>, timeval*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839468d02 in QEventDispatcherUNIX::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa8394375ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#5  0x00007fa8394378e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#6  0x00007fa83933688f in QThread::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#7  0x00007fa839418d13 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fa832d1ff6e in start_thread (arg=0x7fa7f6352700) at pthread_create.c:311
#10 0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 10 (Thread 0x7fa7f5b51700 (LWP 4243)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa83117106b in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007fa8311710a9 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007fa832d1ff6e in start_thread (arg=0x7fa7f5b51700) at pthread_create.c:311
#4  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 9 (Thread 0x7fa70a62c700 (LWP 20768)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa70a62c700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 8 (Thread 0x7fa719696700 (LWP 20769)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa719696700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 7 (Thread 0x7fa71a698700 (LWP 20770)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa71a698700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 6 (Thread 0x7fa71b69a700 (LWP 20771)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa71b69a700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 5 (Thread 0x7fa71be9b700 (LWP 20772)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa71be9b700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 4 (Thread 0x7fa719e97700 (LWP 20773)):
[KCrash Handler]
#5  0x00007fa83ba39f77 in __GI_raise (sig=sig@entry=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:56
#6  0x00007fa83ba3d5e8 in __GI_abort () at abort.c:90
#7  0x00007fa83932e912 in qt_message_output(QtMsgType, char const*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#8  0x00007fa83932ec79 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#9  0x00007fa83932f484 in qFatal(char const*, ...) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007fa7a8f1768a in KisGmicSimpleConvertor::convertToGmicImageFast (dev=..., gmicImage=..., rc=...) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/plugins/extensions/gmic/kis_gmic_simple_convertor.cpp:445
#11 0x00007fa7a8f1c2cb in KisExportGmicProcessingVisitor::visitNodeWithPaintDevice (this=0x4db2b020, node=<optimized out>, undoAdapter=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/plugins/extensions/gmic/kis_export_gmic_processing_visitor.cpp:50
#12 0x00007fa837d3483e in KisProcessingCommand::redo (this=0x3b8506e0) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/commands_new/kis_processing_command.cpp:35
#13 0x00007fa837dbdb7e in KisStrokeStrategyUndoCommandBased::doStrokeCallback (this=0x3b5c8080, data=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/kis_stroke_strategy_undo_command_based.cpp:96
#14 0x00007fa837c9da8c in KisUpdateJobItem::run (this=0x7297600) at /build/buildd/krita-testing-2+git20131115+r74371-45/obj-x86_64-linux-gnu/krita/image/../../../krita/image/kis_update_job_item.h:61
#15 0x00007fa83932c7ae in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#16 0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#17 0x00007fa832d1ff6e in start_thread (arg=0x7fa719e97700) at pthread_create.c:311
#18 0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 3 (Thread 0x7fa70ae2d700 (LWP 20774)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa70ae2d700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 2 (Thread 0x7fa709ae5700 (LWP 20775)):
#0  pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_timedwait.S:238
#1  0x00007fa8393393e4 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c8a5 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa839338f2f in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa832d1ff6e in start_thread (arg=0x7fa709ae5700) at pthread_create.c:311
#5  0x00007fa83bafd9cd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:113

Thread 1 (Thread 0x7fa83c64d7c0 (LWP 4190)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007fa839339406 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#2  0x00007fa83932c1c2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#3  0x00007fa83932d5c2 in QThreadPool::waitForDone() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#4  0x00007fa837db9549 in KisUpdaterContext::waitForDone (this=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/kis_updater_context.cpp:173
#5  0x00007fa837dca69d in KisUpdateScheduler::waitForDone (this=0x7293c40) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/kis_update_scheduler.cpp:233
#6  0x00007fa837ddb96f in KisImage::waitForDone (this=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/image/kis_image.cc:1327
#7  0x00007fa7a8f26540 in KisGmicPlugin::slotApplyGmicCommand (this=0x4c988030, setting=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/plugins/extensions/gmic/kis_gmic_plugin.cpp:150
#8  0x00007fa7a8f29050 in KisGmicPlugin::qt_static_metacall (_o=0x4c988030, _c=128, _id=1, _a=0x7fffaab6ba00) at /build/buildd/krita-testing-2+git20131115+r74371-45/obj-x86_64-linux-gnu/krita/plugins/extensions/gmic/kis_gmic_plugin.moc:54
#9  0x00007fa83944ca58 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007fa7a8f0e4cf in KisGmicWidget::sigApplyCommand (this=this@entry=0x5294f6d0, _t1=_t1@entry=0x3b550dc0) at /build/buildd/krita-testing-2+git20131115+r74371-45/obj-x86_64-linux-gnu/krita/plugins/extensions/gmic/moc_kis_gmic_widget.cpp:120
#11 0x00007fa7a8f45cee in KisGmicWidget::applyFilterSlot (this=this@entry=0x5294f6d0) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/plugins/extensions/gmic/kis_gmic_widget.cpp:168
#12 0x00007fa7a8f0e448 in KisGmicWidget::qt_static_metacall (_o=0x5294f6d0, _c=<optimized out>, _id=3, _a=0x7fffaab6bc20) at /build/buildd/krita-testing-2+git20131115+r74371-45/obj-x86_64-linux-gnu/krita/plugins/extensions/gmic/moc_kis_gmic_widget.cpp:67
#13 0x00007fa83944ca58 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#14 0x00007fa83a477732 in QAbstractButton::clicked(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#15 0x00007fa83a1daf73 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#16 0x00007fa83a1dc0e3 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#17 0x00007fa83a1dc1cc in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#18 0x00007fa839e7931e in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#19 0x00007fa839e29dfc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#20 0x00007fa839e305ad in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#21 0x00007fa83afbb5e7 in KoApplication::notify (this=<optimized out>, receiver=0x3c877db0, event=0x7fffaab6c120) at /build/buildd/krita-testing-2+git20131115+r74371-45/libs/main/KoApplication.cpp:549
#22 0x00007fa8394388bd in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#23 0x00007fa839e2fd63 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#24 0x00007fa839ea47db in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#25 0x00007fa839ea4079 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#26 0x00007fa839ecc290 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4
#27 0x00007fa8394375ef in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#28 0x00007fa8394378e5 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#29 0x00007fa83943ce5b in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#30 0x00007fa83c006805 in kdemain (argc=<optimized out>, argv=<optimized out>) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/main.cc:99
#31 0x00007fa83ba24de5 in __libc_start_main (main=0x4006e0 <main(int, char**)>, argc=1, ubp_av=0x7fffaab6c8c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffaab6c8b8) at libc-start.c:260
#32 0x000000000040070e in _start ()

Reported using DrKonqi
Comment 1 LukasT 2013-11-29 12:33:51 UTC
Did you use single layer image?

qFatal(char const*, ...) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4
#10 0x00007fa7a8f1768a in KisGmicSimpleConvertor::convertToGmicImageFast (dev=..., gmicImage=..., rc=...) at /build/buildd/krita-testing-2+git20131115+r74371-45/krita/plugins/extensions/gmic/kis_gmic_simple_convertor.cpp:445

There it checks if the tile has width and height 64 pixel. Was that changed lately?

I cannot reproduce it
Comment 2 Halla Rempt 2013-11-29 12:41:12 UTC
No, the tilesize hasn't changed:

kis_tile_data_interface.h:#define __TILE_DATA_WIDTH 64
kis_tile_data_interface.h:#define __TILE_DATA_HEIGHT 64

But I am not sure that numContiguousColumns will always return the tilesize. I think we need the original file, or at least its dimensions to reproduce.
Comment 3 Dmitry Kazakov 2013-11-29 13:15:47 UTC
numContiguousColumns() will return a value in a range 0...64, depending on the current position of an iterator.
Comment 4 Halla Rempt 2013-12-18 09:53:53 UTC
Git commit 64883cd1e1f1a5e4d12a781c5d6612489d79316f by Boudewijn Rempt.
Committed on 18/12/2013 at 09:52.
Pushed by rempt into branch 'calligra/2.8'.

Temporarily disable the fast paint device conversion

It uses nconseq rows and cols the wrong way, so go to the fallback for
now.

Note: not to be forward-ported to master.

M  +3    -1    krita/plugins/extensions/gmic/kis_gmic_simple_convertor.cpp

http://commits.kde.org/calligra/64883cd1e1f1a5e4d12a781c5d6612489d79316f
Comment 5 Halla Rempt 2014-02-15 10:14:02 UTC
Lukas still needs to work on the fast transfer code, but it's not a crash anymore
Comment 6 LukasT 2014-04-26 15:07:10 UTC
Git commit 89029f6c4c2c72bd85f8bd05403327ca0c4f53e5 by Lukáš Tvrdý.
Committed on 26/04/2014 at 14:56.
Pushed by lukast into branch 'master'.

GMIC: Fix crash when filter is applied to the layer which was moved

- the computation of tile width was buggy
- scaling pixels to float color-space in temporary tile
  did not take into account the posibility that the source
  tile is read only partially (when you e.g. selection)

- there is still some corruption when bitblting
  gmic result to layer
Related: bug 325771

M  +46   -25   krita/plugins/extensions/gmic/kis_gmic_simple_convertor.cpp

http://commits.kde.org/calligra/89029f6c4c2c72bd85f8bd05403327ca0c4f53e5
Comment 7 Halla Rempt 2014-04-29 09:41:02 UTC
Git commit a9a6add1cd1ac517c207c15c3efd19ec3fc5cd9c by Boudewijn Rempt, on behalf of Lukáš Tvrdý.
Committed on 26/04/2014 at 14:56.
Pushed by rempt into branch 'calligra/2.8'.

GMIC: Fix crash when filter is applied to the layer which was moved

- the computation of tile width was buggy
- scaling pixels to float color-space in temporary tile
  did not take into account the posibility that the source
  tile is read only partially (when you e.g. selection)

- there is still some corruption when bitblting
  gmic result to layer
Related: bug 325771

M  +46   -25   krita/plugins/extensions/gmic/kis_gmic_simple_convertor.cpp

http://commits.kde.org/calligra/a9a6add1cd1ac517c207c15c3efd19ec3fc5cd9c
Comment 8 Halla Rempt 2014-05-30 15:48:39 UTC
Git commit 2fc8ce8f1d62289017382728a4a1f46a1b714a25 by Boudewijn Rempt, on behalf of Lukáš Tvrdý.
Committed on 26/04/2014 at 14:56.
Pushed by dickson into tag 'steam-247500_247566'.

GMIC: Fix crash when filter is applied to the layer which was moved

- the computation of tile width was buggy
- scaling pixels to float color-space in temporary tile
  did not take into account the posibility that the source
  tile is read only partially (when you e.g. selection)

- there is still some corruption when bitblting
  gmic result to layer
Related: bug 325771

M  +46   -25   krita/plugins/extensions/gmic/kis_gmic_simple_convertor.cpp

http://commits.kde.org/calligra/2fc8ce8f1d62289017382728a4a1f46a1b714a25